#include <stdio.h>
#include <stdlib.h>
//three different return value.

int f(int *a,int *b)
{
    *a=2*(*a);
    *b=3*(*b);

    return *a+(*b);
}

int main()
{
    int x=1;
    int y=2;

    printf("Result: %d\n",f(&x,&y));
    printf("x = %d\n",x);
    printf("y = %d\n",y);

    return 0;
}
